#pragma once

#include <Metal/Metal.hpp>

#include "gfx_texture.hpp"

class GFXMetalTexture : public GFXTexture {
public:
    MTL::Texture* handle = nullptr;

    int array_length = 1;
    bool is_cubemap = false;

    MTL::PixelFormat format;
    MTL::SamplerState* sampler;
};
