#pragma once

#include <vulkan/vulkan.h>

#include "gfx_texture.hpp"

class GFXVulkanTexture : public GFXTexture {
public:
    VkImage handle = VK_NULL_HANDLE;
    VkDeviceMemory memory = VK_NULL_HANDLE;
    VkImageView view = VK_NULL_HANDLE;
    VkSampler sampler = VK_NULL_HANDLE;

    int width = 0, height = 0;

    VkFormat format = VK_FORMAT_UNDEFINED;
    VkImageLayout layout = VK_IMAGE_LAYOUT_UNDEFINED;
    VkImageLayout current_layout = VK_IMAGE_LAYOUT_UNDEFINED;
    VkImageAspectFlagBits aspect;
    VkImageSubresourceRange range;

    GFXTextureUsage usage;
};
