#pragma once

#include <string>
#include <string_view>
#include <vector>

std::string remove_substring(std::string_view string, std::string_view substring);
std::string replace_substring(std::string_view string, std::string_view substring, std::string_view replacement);

bool string_contains(std::string_view a, std::string_view b);
bool string_starts_with(std::string_view haystack, std::string_view needle);
bool is_numeric(std::string_view string);

std::vector<std::string> tokenize(std::string_view string, const std::string_view& delimiters = ",");
